Loading...
Searching...
No Matches
RDKit::MolStandardize::MolVSValidation Class Reference

The MolVSValidation class can be used to perform all MolVSValidions. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::MolVSValidation:

## Public Member Functions

| MolVSValidation ()
| MolVSValidation (const std::vector< boost::shared_ptr< MolVSValidations > > validations)
| overloaded constructor to take in a user-defined list of MolVSValidations
| MolVSValidation (const MolVSValidation &other)
| ~MolVSValidation () override
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Detailed Description

The MolVSValidation class can be used to perform all MolVSValidions.

Definition at line 145 of file Validate.h.

## Constructor & Destructor Documentation

## MolVSValidation() [1/3]

RDKit::MolStandardize::MolVSValidation::MolVSValidation | ( |  | ) |

## MolVSValidation() [2/3]

RDKit::MolStandardize::MolVSValidation::MolVSValidation | ( | const std::vector< boost::shared_ptr< MolVSValidations > > | validations | ) |

overloaded constructor to take in a user-defined list of MolVSValidations

## MolVSValidation() [3/3]

RDKit::MolStandardize::MolVSValidation::MolVSValidation | ( | const MolVSValidation & | other | ) |

## ~MolVSValidation()

RDKit::MolStandardize::MolVSValidation::~MolVSValidation | ( |  | ) |

override

## Member Function Documentation

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::MolVSValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

The documentation for this class was generated from the following file:

- Validate.h